summaryrefslogtreecommitdiffstats
path: root/ci/test_kvmfornfv.sh
diff options
context:
space:
mode:
authorkalyanreddy <reddyx.gundarapu@intel.com>2017-03-10 09:34:54 -0800
committerKalyan reddy Gundarapu <reddyx.gundarapu@intel.com>2017-03-15 07:03:45 +0000
commita9df9f4fdafc08c33d1debd0e4999e58cdbf4b31 (patch)
treecaf655e710a568fa905e77abee198ae0645e9882 /ci/test_kvmfornfv.sh
parentaf712826966ee75ba5ac466a6c192580abdf0c29 (diff)
This patch includes scripts and configuration files for
executing packet forwarding test cases as a part of kvmfornfv daily job and printing the results. Change-Id: I484ce89c4821d03cb997c774f014c59a10dc275e Signed-off-by: Gundarapu Kalyan Reddy <reddyx.gundarapu@intel.com>
Diffstat (limited to 'ci/test_kvmfornfv.sh')
-rwxr-xr-xci/test_kvmfornfv.sh48
1 files changed, 34 insertions, 14 deletions
diff --git a/ci/test_kvmfornfv.sh b/ci/test_kvmfornfv.sh
index adf0aa3ce..11ea3a5ce 100755
--- a/ci/test_kvmfornfv.sh
+++ b/ci/test_kvmfornfv.sh
@@ -21,13 +21,27 @@ packetforward_result=0 #exit code of packet forward
source $WORKSPACE/ci/envs/host-config
function packetForward {
-# source $WORKSPACE/ci/packet_forward_test.sh $HOST_IP
- echo "Packetforwarding need to be implemented"
- packetforward_result=$?
- if [ ${packetforward_result} -ne 0 ];then
- echo "Packet Forwarding test case execution FAILED"
+ #executing packet forwarding test cases based on the job type.
+ if [ ${test_type} == "verify" ];then
+ echo "packet forwarding test cases are not yet implemented for verify job"
+ packetforward_result=0
+ elif [ ${test_type} == "daily" ];then
+ source $WORKSPACE/ci/cyclicTestTrigger.sh $HOST_IP
+ connect_host
+ #Waiting for ssh to be available for the host machine.
+ sleep 20
+ # copy files and rpms and setup environment required for executing test cases
+ setUpPacketForwarding
+ sleep 1
+ #Verifying whether the test node is up and running
+ connect_host
+ sleep 20
+ #Install and Execute packet forwarding test cases
+ runPacketForwarding $test_type
+ packetforward_result=$?
else
- echo "Packet Forwarding test case executed SUCCESSFULLY"
+ echo "Incorrect test type ${test_type}"
+ exit 1
fi
}
@@ -138,22 +152,28 @@ if [ ${test_type} == "verify" ];then
#Execution of packet forwarding test cases.
packetForward
fi
- if [ ${cyclictest_result} -ne 0 ] || [ ${packetforward_result} -ne 0 ];then
- echo "Test case FAILED"
- test_exit 1
- else
- test_exit 0
- fi
+ if [ ${cyclictest_result} -ne 0 ] || [ ${packetforward_result} -ne 0 ];then
+ echo "Test case FAILED"
+ test_exit 1
+ else
+ test_exit 0
+ fi
elif [ ${test_type} == "daily" ];then
HOST_IP="10.10.100.22"
test_time=3600000 #1h
install_pcm
if [ ${test_name} == "packet_forward" ];then
packetForward
+ packet_fwd_logs
+ #clean the test environment after the test case execution.
+ sudo ssh root@${HOST_IP} "rm -rf /root/workspace/*"
+ host_clean
if [ ${packetforward_result} -ne 0 ] ; then
- test_exit 1
+ echo "Execution of packet forwarding test cases FAILED"
+ packet_fwd_exit 1
else
- test_exit 0
+ echo "Executed packet forwarding test cases SUCCESSFULLY"
+ packet_fwd_exit 0
fi
elif [ ${test_name} == "cyclictest" ];then
if [ ${ftrace_enable} -eq '1' ]; then